=== debian/changelog ===
fortran-cli2 (3.2.0-6) unstable; urgency=medium

  * Use dh-fortran >= 0.60 for fortran buildsystem
  * d/watch: Move to version 5 syntax
  * Simplify d/control: just use dh-fortran > 0.60
  * Standards-Version: 4.7.3
  * Drop Priority: optional from source in d/control per new policy
  * Add Section: needed for dh-fortran autodetection
  * Drop B-D on ford for loong64; not available there yet

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 06 Jan 2026 09:12:07 +0000

fortran-cli2 (3.2.0-5) unstable; urgency=medium

  * Build-dep on gfortran directly, also meson
  * Use fortran-lib file rather than d/rules

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 19 Oct 2025 10:36:09 +0100

fortran-cli2 (3.2.0-4) unstable; urgency=medium

  * Ensure mod files are shipped
  * Ensure libs shipped in right dirs. static libs only this release

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 07 Oct 2025 10:02:08 +0100

fortran-cli2 (3.2.0-3) unstable; urgency=medium

  * B-D on fortran-fpm

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 06 Oct 2025 10:23:37 +0100

fortran-cli2 (3.2.0-2) experimental; urgency=medium

  * Add debian/watch file

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 03 Oct 2025 13:32:58 +0100

fortran-cli2 (3.2.0-1) experimental; urgency=medium

  * Initial release. (Closes: #1111544)

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 20 Aug 2025 10:11:15 +0100
