=== debian/control ===
Source: fortran-cli2
Section: utils
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Standards-Version: 4.7.3
Uploaders: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper-compat (= 13),
 dh-fortran (>= 0.60),
 meson,
 ford [!loong64],
 unzip
Homepage: https://github.com/urbanjost/M_CLI2
Vcs-Browser: https://salsa.debian.org/science-team/fortran-cli2
Vcs-Git: https://salsa.debian.org/science-team/fortran-cli2.git

Package: libfortran-cli2-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, libfortran-cli2-1 ( = ${binary:Version}),
         ${fortran:Depends}
Description: Fortran command line argument parser library - devel files
 M_CLI2(3f) is a Fortran module that will crack the command line when given
 a prototype string that looks very much like an invocation of the program.
 Calls are then made for each parameter name to set the variables
 appropriately in the program.

Package: libfortran-cli2-1
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Fortran command line argument parser library
 M_CLI2(3f) is a Fortran module that will crack the command line when given
 a prototype string that looks very much like an invocation of the program.
 Calls are then made for each parameter name to set the variables
 appropriately in the program.
