=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

# The magic debhelper  rule
%:
	dh $@ --with fortran --buildsystem=fortran


execute_after_dh_auto_clean:
	rm -rf obj-* docs/man3 docs/cat3 docs/*gz

execute_after_dh_auto_build:
	(cd docs; unzip manpages.zip)
