=== debian/watch ===
Version: 5
Template: GitHub
Dist: https://github.com/urbanjost/M_CLI2
